Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions
Interface ActionProcessor

Deprecated. This interface has been replaced by `ActionPipelineProcessor`

    public interface ActionProcessor

Action Processor Interface Definition.

An "Action Processor" performs a processing action on a message payload and returns the processing result.

Implementations are constructed based on the following public constructor order precedence:

1. (String actionName, List<`KeyValuePair`> properties)
2. default constructor.

Since:
  Version 4.0
Author:
  tom.fennelly@jboss.com

Method Summary
`java.io.Serializable` | `getErrorNotification(Message message)` Deprecated. Get the "Error" notification message for this processor.
`java.io.Serializable` | `getOkNotification(Message message)` Deprecated. Get the "OK" notification message for this processor.
`Message` | `process(Message message)` Deprecated. Perform the processing action on the message

Method Detail

### process

    Message process(Message message)
                    throws ActionProcessingException

  Deprecated.
  Perform the processing action on the message

  Parameters:
    `message` - The message to be processed.
  Returns:
    Message - result of process
  Throws:
    `ActionProcessingException` - Exception during payload processing.

### getOkNotification

    java.io.Serializable getOkNotification(Message message)

  Deprecated.
  Get the "OK" notification message for this processor.

  Parameters:
    `message` - The message Object.
  Returns:
    The OK message.

### getErrorNotification

    java.io.Serializable getErrorNotification(Message message)

  Deprecated.
  Get the "Error" notification message for this processor.

  Parameters:
    `message` - The message Object.
  Returns:
    The Error message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD